umbrello 2.35.1 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

List of all members
Ui::UMLRolePropertiesBase Class Reference

`#include <ui_umlrolepropertiesbase.h>`

Inheritance diagram for Ui::UMLRolePropertiesBase:

## Additional Inherited Members
Public Member Functions inherited from Ui_UMLRolePropertiesBase
void | setupUi (QWidget *UMLRolePropertiesBase)
void | retranslateUi (QWidget *UMLRolePropertiesBase)
Public Attributes inherited from Ui_UMLRolePropertiesBase
QVBoxLayout * | vboxLayout
QGroupBox * | ui_propsGroupBox
QGridLayout * | gridLayout
QGridLayout * | gridLayout1
QLabel * | ui_labelRoleName
KLineEdit * | ui_pRoleLE
QLabel * | ui_labelMultiplicity
KLineEdit * | ui_pMultiLE
QGroupBox * | ui_visibilityButtonGroup
QHBoxLayout * | hboxLayout
QRadioButton * | ui_pPublicRB
QRadioButton * | ui_pPrivateRB
QRadioButton * | ui_pProtectedRB
QRadioButton * | ui_pImplementationRB
QGroupBox * | ui_changeabilityButtonGroup
QHBoxLayout * | hboxLayout1
QRadioButton * | ui_pChangeableRB
QRadioButton * | ui_pFrozenRB
QRadioButton * | ui_pAddOnlyRB
QGroupBox * | ui_groupBoxDocumentation
QVBoxLayout * | vboxLayout1
KTextEdit * | ui_pDocTE

The documentation for this class was generated from the following file:

- cmake-build/umbrello/ui_umlrolepropertiesbase.h